org.eclipse.wst.jsdt.chromium.debug.core.sourcemap

## Class SourcePosition

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.sourcemap.SourcePosition

    public class SourcePosition
    extends java.lang.Object

Defines a position within a whole source base. All numbers are 0-based.

### Constructor Summary

Constructors
Constructor and Description
`SourcePosition(VmResourceId id, int line, int column)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object obj)`
`int` `getColumn()`
`VmResourceId` `getId()`
`int` `getLine()`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SourcePosition

    public SourcePosition(VmResourceId id,
                          int line,
                          int column)

### Method Detail

#### getId

    public VmResourceId getId()

#### getLine

    public int getLine()

#### getColumn

    public int getColumn()

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`